For the complete documentation index, see llms.txt. This page is also available as Markdown.

Savings Accrual Report

The "Savings Accrual Report" endpoint allows customers to retrieve a history of savings accrual entries for a given account, within a specified date range.

GET /api/Report/v{{version}}/GetSavingsAccrualHistory

To retrieve the report, you need to provide the query parameters AccountNumber, FinancialDateFrom, and FinancialDateTo, along with PageNumber and PageSize for pagination.

Headers

Name
Value

Content-Type*

application/json

Authorization*

Bearer

Request-Reference

{unique_reference}

Query Params

Name
Description

PageNumber

The page number to retrieve, for paginated results.

AccountNumber

The account number to retrieve the savings accrual history for.

FinancialDateFrom

The start of the financial date range to filter results by.

PageSize

The number of records to return per page.

FinancialDateTo

The end of the financial date range to filter results by.

Here is an example request and response with a sample payload sent to the endpoint in Curl format.

Sample Request
curl --location -g '{{baseUrl}}/api/Report/v{{version}}/GetSavingsAccrualHistory?AccountNumber=1301005489&FinancialDateFrom=2023-06-01&FinancialDateTo=2025-06-23&PageNumber=1&PageSize=10'
Respose: 200
{
  "status": true,
  "message": "string",
  "data": {
    "data": [
      {
        "accountNumber": "string",
        "referenceNumber": "string",
        "productCode": "string",
        "product": "string",
        "branchCode": "string",
        "branch": "string",
        "amount": 0,
        "financialDate": "2025-01-22T23:36:16.938Z"
      }
    ],
    "recordCount": 0
  }
}

Last updated